For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList entitlements
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEntitlements

List entitlements

GET
https://api.x.flatfile.com/v1/entitlements
GET
/v1/entitlements
$curl -G https://api.x.flatfile.com/v1/entitlements \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d resourceId=string
1{
2 "data": [
3 {
4 "key": "snapshots",
5 "metadata": {
6 "files": 10
7 }
8 }
9 ]
10}
Returns all entitlements matching a filter for resourceId
Was this page helpful?
Previous

List environments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

resourceIdstringRequired
The associated Resource ID for the entitlements.

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
404
Not Found Error